summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2018-11-09 18:55:14 +0100
committerErich Eckner <git@eckner.net>2018-11-09 18:55:14 +0100
commit9c06a9c500299caeea63968803fdaeea30edb974 (patch)
treec52493015607dc836b130b65541754c41606b32c /bin
parent2e7f0c3f07cf47da748d776d5710e6cb03789810 (diff)
downloadbuilder-9c06a9c500299caeea63968803fdaeea30edb974.tar.xz
bin/build-packages: new straw :without_systemd_nspawn:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/build-packages29
1 files changed, 22 insertions, 7 deletions
diff --git a/bin/build-packages b/bin/build-packages
index 28538c5..9e66bb1 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -51,6 +51,8 @@ usage() {
>&2 echo ' download sources from sources.archlinux32.org by hash if possible'
>&2 echo ' :without_check:'
>&2 echo ' run makepkg with "--no-check"'
+ >&2 echo ' :without_systemd_nspawn:'
+ >&2 echo ' do not invoke archbuild'"'"'s systemd-nspawn fanciness [RISKY]'
>&2 echo ' :with_build_support:'
>&2 echo ' allow using [build-support]'
>&2 echo ' :with_/dev/fuse:'
@@ -412,13 +414,6 @@ while [ "${count}" -ne 0 ] && \
fi
if echo "${straw}" | \
- grep -qF ':with_build_support:'; then
- build_command='staging-with-build-support-'"${arch}"'-build'
- else
- build_command='staging-'"${arch}"'-build'
- fi
-
- if echo "${straw}" | \
grep -qF ':clean_chroot:'; then
outerParameters='-c'
else
@@ -439,6 +434,26 @@ while [ "${count}" -ne 0 ] && \
middleParameters=''
fi
+ if echo "${straw}" | \
+ grep -qF ':with_build_support:'; then
+ build_command='staging-with-build-support-'"${arch}"'-build'
+ elif echo "${straw}" | \
+ grep -qF ':without_systemd_nspawn:'; then
+ if ! uname -m | \
+ grep -qxF "${arch}"; then
+ >&2 echo 'straw :without_systemd_nspawn: requires running build-packages on the'
+ >&2 echo 'architecture for which the package should be built:'
+ >&2 printf '"%s" != "%s"\n' \
+ "$(uname -m)" \
+ "${arch}"
+ exit 2
+ fi
+ build_command='makepkg'
+ outerParameters="${innerParameters}"
+ else
+ build_command='staging-'"${arch}"'-build'
+ fi
+
find . -maxdepth 1 -type f \( -name '*.pkg.tar.xz' -o -name '*.pkg.tar.xz.sig' \) -exec \
rm {} \;